Package org.apache.commons.lang3.function

## Interface FailableIntSupplier<E extends java.lang.Throwable>

Type Parameters:
  `E` - Thrown exception.

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface FailableIntSupplier<E extends java.lang.Throwable>

A functional interface like `IntSupplier` that declares a `Throwable`.

Since:
  3.11

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getAsInt()` Supplies an int.

### Method Detail

#### getAsInt

    int getAsInt()
          throws E extends java.lang.Throwable

Supplies an int.

Returns:
  a result
Throws:
  `E` - if the supplier fails
  `E extends java.lang.Throwable`